
ctools - Action #843

Feature # 841 (Closed): ctools tutorials and narrative introduction

Convert ctools and cscript reference pages to rst.

04/13/2013 11:17 PM - Knödlseder Jürgen

Status: Closed Start date: 07/10/2014

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

History

#1 - 04/14/2013 05:37 PM - Deil Christoph

Is this hand-written html?

I can convert to rst of course, but shouldn't this be auto-generated from the help output of the tool itself?

If it's not maintaining consistency for all tools over the years will be a nightmare ...

#2 - 04/15/2013 04:51 AM - Knödlseder Jürgen

So far it's handwritten html, following the same standard that is available for the ftools. As the tools are for the moment rather limited, the maintenance

is okay, but as the tools expand, maintenance will be an issue.

#3 - 11/19/2013 03:21 PM - Knödlseder Jürgen

- Target version deleted (00-06-00)

#4 - 11/19/2013 03:26 PM - Knödlseder Jürgen

- Target version set to 00-07-00

#5 - 01/19/2014 02:05 AM - Knödlseder Jürgen

- Target version deleted (00-07-00)

#6 - 07/10/2014 11:31 PM - Knödlseder Jürgen

- Start date set to 07/10/2014

due to changes in a related task

#7 - 07/10/2014 11:32 PM - Knödlseder Jürgen

- Target version set to 3rd coding sprint

#8 - 10/30/2014 12:26 PM - Knödlseder Jürgen

- Priority changed from Normal to High

This should be done for the release version 1.0.0. Also, we need to add the new tools that have no documentation yet.

#9 - 10/30/2014 12:26 PM - Knödlseder Jürgen

- Target version changed from 3rd coding sprint to 1.0.0
#10 - 02/03/2015 01:44 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

The existing reference pages were converted, yet we need to add missing pages for a bunch of tools and scripts.

#11 - 02/04/2015 01:08 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

- Remaining (hours) set to 0.0

Reference pages have been added for all ctools and cscripts.
